// ExampleTb.v
//

`include "Src/ExampleTimescale.v"

module ExampleTb();

// Inputs

reg             clock;                    
initial         clock = 1'b0;              

reg             reset_n;                  
initial         reset_n = 1'b1;            

reg[3:0]        data_in;        
initial         data_in = 4'b0;  

reg             data_in_valid;  
initial         data_in_valid = 1'b0; 

// Outputs

wire[3:0]       data_out;       
wire            data_out_valid; 

// Generate clock
initial
begin // clock
	clock = 1'b1;
	forever #10 clock = !clock;
end

// Instance of the DUT
Example Example1(
	.clock(clock),
	.reset_n(reset_n),
	.data_in(data_in),
	.data_in_valid(data_in_valid),   
	.data_out(data_out),
	.data_out_valid(data_out_valid)
	);

endmodule

`include "Src/ExampleSpv.v"

//
// End of: ExampleTb.v
