// ExampleCol.h: interface for the ExampleCol class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXAMPLECOL_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_)
#define AFX_EXAMPLECOL_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <deque>
#include <SpvHfile.h>
#include "ExamplePacket.h"

class ExampleCol : public SpvBase  
{
public:
	ExampleCol();
	virtual ~ExampleCol();

	virtual void Start();

protected:
	virtual void PacketInThread();

	virtual void PacketOutThread();

	virtual void PacketRestartCompare();

    virtual unsigned TransferFunc(unsigned input);

    virtual bool Compare(unsigned expected, unsigned received);


protected:
	SpvSig			m_SigClock, m_SigReset;
	
	SpvEvent		m_PosClock, m_NegClock, m_PosReset, m_NegReset;
	
	std::vector <SpvTProcCtrl*>	m_ThreadCtrls;
	
	deque <unsigned> m_Fifo;

};

#endif // !defined(AFX_ExampleCol_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_)
