// ExampleDriver.h: interface for the ExampleDriver class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXAMPLEDRIVER_H__754AEF68_0CDB_49AF_ADAB_036276BD2A6E__INCLUDED_)
#define AFX_EXAMPLEDRIVER_H__754AEF68_0CDB_49AF_ADAB_036276BD2A6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <SpvHfile.h>

class ExampleDriver : public SpvBase 
{
	SpvSig			m_SigClock, m_SigReset;

	SpvEvent		m_PosClock, m_PosReset, m_NegReset;

	std::vector <SpvTProcCtrl*>	m_ThreadCtrls;

public:
	ExampleDriver();
	virtual ~ExampleDriver();

	virtual void Start();

	virtual void ThreadReset();
	
	virtual void ThreadDriveData();
	
	virtual void ThreadRestartData();

};

#endif // !defined(AFX_EXAMPLEDRIVER_H__754AEF68_0CDB_49AF_ADAB_036276BD2A6E__INCLUDED_)
