// ExamplePacket.h: interface for the ExamplePacket class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXAMPLEPacket_H__CD6CF61D_0C39_4277_A9E8_43D440C62936__INCLUDED_)
#define AFX_EXAMPLEPacket_H__CD6CF61D_0C39_4277_A9E8_43D440C62936__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <SpvHfile.h>
#include <vector>

class ExamplePacket
{
public:
	virtual unsigned CompareContent(const ExamplePacket& rVal) const;

	virtual bool operator==(const ExamplePacket& rVal) const { return CompareContent(rVal) && (Size() != rVal.Size()); }

	virtual unsigned Size() const;

	virtual string ToString() const;

public:
	vector< unsigned > m_Data; 
};

#endif // !defined(AFX_EXAMPLEPacket_H__CD6CF61D_0C39_4277_A9E8_43D440C62936__INCLUDED_)
