// ExampleTb.cpp: implementation of the ExampleTb class.
//
//////////////////////////////////////////////////////////////////////
#include "ExampleTb.h"
#include "ExampleDriver.h"
#include "ExampleCol.h"
#include <SpvHfile.h>
#include <SpvPlugin.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ExampleTb::ExampleTb()
{
	m_Driver	= new ExampleDriver;
	m_Col		= new ExampleCol;
	m_Cov		= new SpvCoverage;
}

ExampleTb::~ExampleTb()
{

}

void ExampleTb::Start()
{
	string startMsg = "ERROR";
	SD::GetStr(startMsg,"S_START_MSG");
	SPV_OUT(<<endl<<startMsg<<", On Time:"<< SpvSig::time<<endl);
	m_Driver->Start();
	m_Col->Start();
}
